> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--sbom/types/inputs/get-applications-sbom.md).

# getApplicationsSbom

Defines input parameters for retrieving SBOM libraries with filtering and pagination.

### Examples

```graphql
input GetApplicationsSbom {
  scanId: String
  limit: Int
  offset: Int
  search: String
  filters: SBOMLibFilters
  sbomSearch: [AutoCompleteSearch]
  owners: [String]
  tagIds: [String]
  openItems: [FilterTypes]
  sort: SbomLibSortInput
}
```

### Fields

| Field                                                                                                                       | Description                                             | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| --------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| scanId `String`                                                                                                             | Specific scan identifier to retrieve libraries from     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| limit `Int`                                                                                                                 | Maximum number of libraries to return                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| offset `Int`                                                                                                                | Number of libraries to skip for pagination              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| search `String`                                                                                                             | Text search query to find specific libraries            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| filters [`SBOMLibFilters`](/api-documentation/api-reference/api--sbom/types/inputs/sbom-lib-filters.md)                     | Structured filters to apply to the library search       | <p>libForSearch <code>\[String]</code><br>libraryNames <code>\[String]</code><br>libraryVersions <code>\[String]</code><br>apps <code>\[String]</code><br>appIds <code>\[String]</code><br>source <code>\[String]</code><br>dependencyTypes <code>\[String]</code><br>licenses <code>\[String]</code><br>packageNames <code>\[String]</code><br>copyrights <code>\[String]</code><br>severities <code>\[String]</code><br>packageInfos <code>\[String]</code><br>malicious <code>\[String]</code><br>packageManagers <code>\[String]</code><br>cve <code>\[String]</code><br>languages <code>\[String]</code><br>os <code>\[String]</code><br>registryName <code>\[String]</code><br>baseImage <code>\[String]</code><br>image <code>\[String]</code><br>reachability <code>\[String]</code><br>tags <code>\[String]</code><br>imageSource <code>\[String]</code><br>licenseIssue <code>\[Boolean]</code><br>sbomImageTags <code>\[String]</code><br>runtimeStatus <code>\[String]</code></p> |
| sbomSearch [`[AutoCompleteSearch]`](/api-documentation/api-reference/api--application/types/inputs/auto-complete-search.md) | Advanced search filters with autocomplete support       | <p>fieldName <code>String</code><br>value <code>\[String]</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| owners `[String]`                                                                                                           | Filter by application owners                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| tagIds `[String]`                                                                                                           | Filter by tag identifiers for role-based access control |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| openItems [`[FilterTypes]`](/api-documentation/api-reference/api--application/types/enums/filter-types.md)                  | Filter for items that are currently open or active      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| sort [`SbomLibSortInput`](/api-documentation/api-reference/api--sbom/types/inputs/sbom-lib-sort-input.md)                   | Sorting configuration for the results                   | <p>fields <a href="/api-documentation/api-reference/api--sbom/types/enums/sbom-lib-sort-fields.md"><code>\[SbomLibSortFields]</code></a><br>order <a href="/api-documentation/api-reference/api--audit/types/enums/direction.md"><code>\[Direction]</code></a></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

### References

#### Queries using this object:

* [\<?> getSbomLibraries.getApplicationsSbom](/api-documentation/api-reference/api--sbom/queries/get-sbom-libraries.md)
* [\<?> getSbomIssuesBreakdown.getApplicationsSbom](/api-documentation/api-reference/api--issue/queries/get-sbom-issues-breakdown.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--sbom/types/inputs/get-applications-sbom.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
